/* Header & Container */

.page-template-book-clubx {
  background: #273440;
}

.page-template-book-club .container,
.page-template-book-club .container-lg,
.page-template-book-club .container-md,
.page-template-book-club .container-sm,
.page-template-book-club .container-xl {
  max-width: 1167px;
}

.page-template-book-club header#wrapper-navbar {
  top: 0 !important;
}

/* Footer */

.page-template-book-club .footer-widget-area-1 {
  display: none;
}

.page-template-book-club #wrapper-footer {
  padding: 0 !important;
  overflow: hidden;
}

.page-template-book-club footer .custom-html-widget {
  padding: 20px 0;
  display: block;
  border-top: 1px solid #273440;
}

.page-template-book-club .sub-footer {
  padding: 32px 0 80px !important;
}

.page-template-book-club footer:before,
.page-template-book-club footer {
  background: #E1EDF6;
}

.page-template-book-club footer:before {
  padding-bottom: 0;
}

.page-template-book-club footer:after {
  background-image: url(/wp-content/uploads/2025/03/Half-Circle-White.svg);
  background-size: cover;
  background-position: top;
  top: 30px;
}

/* Hamburger */

.page-template-book-club .hamburger {
  width: 28px;
  height: 28px;
  background-size: contain;
  background-position: center;
  display: block;
  background-repeat: no-repeat;
}

.page-template-book-club #mobilecssmenu {
  z-index: -1;
  padding: 5px 0 0 0;
  margin: 0;
  width: 100%;
  position: fixed;
  left: 0;
  display: flex;
  align-items: center;
}

.page-template-book-club #mobilecssmenu.open {
  z-index: 999;
  background-color: #fff;
  transition: none;
}

.page-template-book-club #mobilecssmenu.open {
  background-color: #273440 !important;
}

.page-template-book-club #mobilecssmenu>ul {
  display: none;
  width: 100%;
  list-style: inside none;
  padding: 0;
  margin: 0;
  background-color: transparent !important;
}

.page-template-book-club #mobilecssmenu>ul>li {
  list-style: inside none;
  overflow: auto;
}

.page-template-book-club #mobilecssmenu>ul>li>a {
  padding: 10px 30px;
  display: block;
  font-size: 40px;
  font-weight: 600;
}

.page-template-book-club .close {
  background-image: url(/wp-content/uploads/2025/03/close-svgrepo-com.svg);
  width: 28px;
  height: 28px;
  background-size: contain;
  background-position: center;
  display: block;
  background-repeat: no-repeat;
}

.page-template-book-club .mobile-menu {
  z-index: 1000;
  transition: all 1s ease-in-out 5s;
}

.page-template-book-club .mobile-menu:hover {
  box-shadow: none !important;
}

/**********/

/* Banner Section */

.book-club-banner-section {
  min-height: 845px;
  padding: 60px 0;
  display: flex;
  align-items: center;
  justify-content: flex-start;
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  border-bottom-right-radius: 164px;
  border-bottom-left-radius: 164px;
}

.book-club-banner-description {
  width: 100%;
  max-width: 60%;
}

.book-club-banner-description h1,
.book-club-banner-description p {
  color: #fff !important;
}

.book-club-banner-description h1 {
  margin-bottom: 20px !important;
}

/* Enroll Section */

.book-club-enroll {
  padding: 80px 0;
  border-top-right-radius: 164px;
  border-top-left-radius: 164px;
  overflow: hidden;
  background: #E1EDF6;
}

.book-club-btn-group {
  display: flex;
  gap: 10px;
}

#enroll-cta-book-club,
#cta-book-club-suggest {
  background: #273440;
  width: 264px !important;
  height: 56px !important;
  color: #fff;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 20px;
  border: 2px solid #273440;
}

#cta-book-club-suggest {
  background: #fff;
  color: #273440;
}

#enroll-cta-book-club:hover {
  background: #fff !important;
  color: #273440 !important;
}

#cta-book-club-suggest:hover {
  background: #273440 !important;
  color: #fff !important;
}

/* Enroll Popup */

.bookclub-popup {
  display: none;
  position: fixed;
  inset: 0;
  background: rgba(0, 0, 0, 0.6);
  z-index: 999999;
  justify-content: center;
  align-items: center;
}

.bookclub-popup-content {
  background: #fff;
  padding: 25px;
  border-radius: 10px;
  width: 90%;
  max-width: 600px;
  position: relative;
  max-height: 90vh;
  overflow: auto;
}

.bookclub-close {
  position: absolute;
  top: 10px;
  right: 12px;
  background: none;
  border: none;
  font-size: 28px;
  cursor: pointer;
}

.about-book-club-section {
  background: #273440;
  padding: 120px 0;
  color: #fff !important;
}

.about-book-club-description p {
  font-size: 25px;
}

.book-club-featured {
  background: #6E8294;
  padding: 120px 0;
  border-top-left-radius: 204px;
  border-top-right-radius: 204px;
}

.book-club-featured h1 {
  color: #fff;
}

.book-club-featured-item {
  display: flex;
  max-width: 100% !important;
}

.book-club-featured-item .bcc-item-info {
  background: #E1EDF6 !important;
  width: 64% !important;
  border-top-right-radius: 20px;
  border-bottom-right-radius: 20px;
}

.book-club-featured-item .bcc-item-image {
  width: 36% !important;
}

.book-club-featured-item .bcc-item-info h3 {
  color: var(--bs-body-color) !important;
}

.book-club-featured-item .bcc-item-info p {
  color: var(--bs-body-color) !important;
}

/* Book Club Collection */

.book-club-collections {
  background: #273440;
  padding: 120px 0;
  border-top-left-radius: 204px;
  border-top-right-radius: 204px;
}

.book-club-collection-variety h2 {
  color: #fff;
  margin: 0 !important;
}

.book-club-collection-variety {
  display: flex;
  flex-direction: column;
  gap: 56px;
  margin-bottom: 109px;
}

.book-club-collection-flex {
  display: flex;
  flex-wrap: wrap;
  align-items: flex-start;
  justify-content: flex-start;
  gap: 25px 28px;
}

.book-club-collection-item {
  width: 100%;
  max-width: 31.2%;
  border-radius: 20px;
  background: #fff;
}

.bcc-item-image {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 23px;
}

.bcc-item-image img {
  width: 100%;
  height: 100%;
  max-height: 211px;
  object-fit: contain;
}

.bcc-item-info h3 {
  margin: 0 !important;
  color: #FFFFFF;
  font-size: 20px !important;
  font-weight: 500 !important;
  margin-bottom: 5px !important;
}

.bcc-item-info p {
  margin: 0 !important;
  color: #FFFFFF;
  font-size: 16px !important;
  font-weight: 400 !important;
}

.bcc-item-info {
  background: #6E8294;
  padding: 24px 30px;
  border-bottom-left-radius: 20px;
  border-bottom-right-radius: 20px;
  min-height: 129px;
}

.book-club-collection-variety:last-child {
  margin-bottom: 0 !important;
}

.book-club-featured .bcc-item-info h3 {
  font-size: 26px !important;
}

.book-club-featured .bcc-item-info p {
  font-size: 18px !important;
}

.book-club-featured .bcc-item-info {
  padding: 30px 60px;
}

/* Media Queries Book Club */

@media only screen and (min-width: 1440px) {
  .page-template-book-club h1,
  .page-template-book-club h2 {
    font-size: 64px !important;
  }
  .book-club-enroll-description p.large {
    font-size: 32px !important;
    margin-bottom: 65px !important;
  }
}

@media only screen and (min-width: 768px) {
  .page-template-book-club .hamburger,
  .page-template-book-club .close {
    width: 72px !important;
    height: 72px !important;
    filter: contrast(0.1);
  }
  .page-template-book-club header#wrapper-navbar {
    display: flex;
    align-items: center;
    justify-content: center;
  }
  .page-template-book-club .site-branding {
    width: 150px;
    height: 57px;
  }
  .page-template-book-club .container,
  .page-template-book-club .container-lg,
  .page-template-book-club .container-md,
  .page-template-book-club .container-sm,
  .page-template-book-club .container-xl {
    max-width: 1167px;
  }
  .book-club-enroll {
    padding: 80px 80px;
  }
}

@media only screen and (max-width: 1024px) {
  .book-club-banner-section {
    min-height: 666px;
    border-bottom-right-radius: 60px;
    border-bottom-left-radius: 60px;
  }
  .book-club-enroll {
    margin: 60px 0 60px;
  }
  .book-club-collections {
    padding: 60px 0 100px;
    border-top-left-radius: 60px;
    border-top-right-radius: 60px;
  }
  .book-club-collection-variety {
    gap: 40px;
  }
  .page-template-book-club .sub-footer {
    padding: 32px 0 32px !important;
  }
}

@media only screen and (max-width: 880px) {
  .page-template-book-club .container {
    max-width: 700px !important;
  }
  .book-club-collection-item {
    max-width: 47.2%;
  }
  .book-club-banner-section {
    min-height: 550px;
    margin-top: 0px;
    background-position: top right 35%;
  }
  .page-template-book-club #wrapper-footer .footer-logo {
    max-width: 50% !important;
  }
  .page-template-book-club #wrapper-footer .footer-section {
    max-width: 100% !important;
    margin-bottom: 20px;
  }
  .book-club-featured,
  .about-book-club-section {
    padding: 80px 0;
  }
  .page-template-book-club footer:after {
    width: 100%;
  }
  .book-club-enroll {
    margin: 0px;
    border-top-left-radius: 60px;
    border-top-right-radius: 60px;
  }
  .book-club-featured {
    border-top-left-radius: 60px;
    border-top-right-radius: 60px;
  }
}

@media only screen and (max-width: 767px) {
  .book-club-banner-description {
    max-width: 70%;
  }
  .book-club-banner-description h1 {
    font-size: 36px;
  }
  .book-club-banner-section {
    min-height: 420px;
    margin-top: 55px;
  }
  .page-template-book-club .container {
    padding: 0 20px !important;
  }
  .book-club-collection-item {
    max-width: 100%;
  }
  .footer-logo {
    max-width: 100% !important;
  }
  .page-template-book-club #wrapper-footer .footer-section {
    max-width: 100% !important;
    margin-bottom: 20px;
  }
  .bookclub-popup-content {
    padding: 18px;
    border-radius: 8px;
  }
  .bookclub-close {
    font-size: 24px;
    top: 6px;
    right: 10px;
  }
  .page-template-book-club .site-branding {
    width: 90px !important;
  }
  .page-template-book-club h1,
  .page-template-book-club h2 {
    font-size: 32px !important;
  }
  .book-club-collection-variety {
    margin-bottom: 40px;
  }
  .book-club-collections {
    padding: 40px 0 80px;
    border-top-left-radius: 40px;
    border-top-right-radius: 40px;
  }
  .book-club-enroll {
    margin: 0;
  }
  .book-club-banner-section {
    border-bottom-right-radius: 40px;
    border-bottom-left-radius: 40px;
  }
  .page-template-book-club .hsfc-Step__Content {
    padding: 30px 10px !important;
  }
  .book-club-featured,
  .book-club-enroll {
    border-top-left-radius: 40px;
    border-top-right-radius: 40px;
  }
  .book-club-featured,
  .about-book-club-section {
    padding: 80px 0;
  }
  .page-template-book-club footer:after {
    width: 100%;
  }
  .book-club-featured-item {
    display: flex;
    flex-direction: column;
  }
  .book-club-featured-item .bcc-item-image,
  .book-club-featured-item .bcc-item-info {
    width: 100% !important;
    border-top-right-radius: 0px;
  }
}